Subject: Re: RFC: Location for Device Tree Sources?

From: Tom Rini <[email-masked]>
Date: Wed, 2 Aug 2006 11:21:43 -0700

On Wed, Aug 02, 2006 at 01:09:21PM -0500, Matthew McClintock wrote:
> On Wed, 2006-08-02 at 09:38 -0700, Tom Rini wrote:
> > I'll throw in the caveat that I'm not 100% sure we're that stable yet,
> > but it certainly seems like it, at least for the overall portion where
> > you might really have incompatible trees.  More or less complete (now
> > every device is described!) dts should be interchangable to the kernel
> > for the custom board X is just a little different from ref board Y
> > issues (and now, in theory, the Just Like A Sandpoint board, with a
> > correct dts will boot the 'sandpoint' kernel). 
> 
> The sandpoint (as far as I know) does not have a stable DTS. So in this
> case including the DTS in the kernel would reduce confusion. The same
> could be said for other boards where the DTS needed to be changed for
> the IRQ rework. The old DTS will no longer boot the new kernels. I'm not
> sure how much longer we will run into this problem though.

Yes, as I said, I'm not totally sure we're at the stable point right
now, but I think that we are.  I'll add that maybe we need to think
about API changes and DTS format versions.  To quote from my post..

> > X bugs) or a change that requires a dts version bump.

Now it sounds like the IRQ thing was an "Oops, we should have changed
the dts version" and bailed, noting what is wrong with the dts.

-- 
Tom Rini